export const getTitle = (data) => data.title ?? "Timeline";

export const getDate = () => new Date().toISOString().slice(0, 10);

export const yearFromEvent = (event) => {
  if (!event) return null;
  const match = event.match(/(?<year>\d{4})/);
  return match?.groups?.year ? parseInt(match.groups.year, 10) : null;
};

export const ageAtEvent = (birth, event) => {
  const eventYear = yearFromEvent(event);
  const birthYear = yearFromEvent(birth);

  return eventYear && birthYear ? eventYear - birthYear : null;
};
