import { getSettings } from "./settings.js";
import { renderTracksAndBands } from "./tracks.js";
import { transform } from "./transform.js";
import { svg } from "../svg.js";

const render = (family) => {
  const settings = getSettings();

  const { tracks, bands } = transform(family, settings);

  if (tracks.length === 0) {
    return "";
  }

  const { content, height } = renderTracksAndBands(tracks, bands, settings);

  return svg({
    width: settings.size.width,
    height: height,
    className: "family-sparklines",
    content,
  });
};

export default render;
